1

I am attempting to install AD FS 2.0 on a 64-bit Server 2008 R2.
I've downloaded it from the MS Download Center, which states that Server 2008 R2 is one of the supported operating systems.

When I run the executable that's downloaded, I get and error message stating:

This AD FS 2.0 installtion requires the Windows Server 2008 SP2 operating system.

I found an MS page about the requirements of installing on Server 2008 and 2008 R2. Here are some requirements that I've installed or are already installed:

  • Windows Identity Foundation (WIF): Installed from the MS Download Center
  • IIS 7: 7.5 is installed since it's a Server 2008 R2 machine.
  • Windows Hotfix (KB981002): I followed the link that states I can download the hot fixes from here, but I get the message that the update is not applicable to my computer.
  • .NET Framework 3.5 Service Pack 1: I have .Net 3.5.1 and 4.5.1 installed.

Is there something else that I need to install before the AD FS executable will work?

Any leads are appreciated.

3

There are three different downloads on that page, did you select the one for 2008 R2 or 2008 SP2? They are different products.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.